﻿h2 {
    font-family: Bebas_Neue;
    font-size: 4rem;
    margin: 0 0 2.5rem 0;
    color: var(--bleu);
    text-align: center;
    margin-bottom: 1.3rem;
}

.form__group {
    position: relative;
    padding: 15px 0 0;
    margin-bottom: 2rem;
    margin-top: 10px;
    width: 50%;
}

.form__field {
    font-family: inherit;
    width: 100%;
    border: 0;
    border-bottom: 2px solid gray;
    outline: 0;
    font-size: 1.3rem;
    padding: 7px 0;
    background: transparent;
    transition: border-color 0.2s;
}

    .form__field::placeholder {
        color: transparent;
    }

    .form__field:placeholder-shown ~ .form__label {
        cursor: text;
        top: 20px;
    }

.form__label {
    position: absolute;
    top: 0;
    display: block;
    transition: 0.2s;
    font-size: 1rem;
    color: gray;
}

.form__field:focus ~ .form__label {
    position: absolute;
    top: 0;
    display: block;
    transition: 0.2s;
    font-size: 1rem;
    color: var(--bleu);
    font-weight: 700;

    padding-bottom: 6px;
    font-weight: 700;
    border-width: 3px;
    border-color: var(--bleu);
    border-image-slice: 1;
}

button {
    font-family: Bebas_Neue;
    background:var(--bleu);
    color:white;
    text-align:center; padding:12px;
    display:block;
    margin: 1rem 0;
    transition: 0.2s; font-size:1.5rem;
    border:none;
}
button:hover{
    background:var(--corail);
}
form {
    display: flex;
    flex-direction: column;
    align-items: center;
}